Bug 1674839

Summary: eclipse-dltk: FTBFS in Fedora rawhide/f30
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: eclipse-dltkAssignee: Mat Booth <mat.booth>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: akurtako, eclipse-sig, mat.booth, rgrunber
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: eclipse-dltk-5.11.0-1.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-03-29 19:14:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1674516    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Fedora Release Engineering 2019-02-11 17:07:19 UTC
eclipse-dltk failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32379446


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix eclipse-dltk at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
eclipse-dltk will be orphaned. Before branching of Fedora 31,
eclipse-dltk will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 17:07:21 UTC
Created attachment 1529798 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 17:07:23 UTC
Created attachment 1529799 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 17:07:24 UTC
Created attachment 1529800 [details]
state.log

Comment 4 Fedora Update System 2019-03-14 14:26:13 UTC
eclipse-4.11-2.fc30 eclipse-abrt-0.0.3-9.fc30 eclipse-dltk-5.11.0-1.fc30 eclipse-dtp-1.14.102-4.fc30 eclipse-egit-5.3.0-1.fc30 eclipse-egit-github-5.3.0-1.fc30 eclipse-epp-logging-2.0.7-7.fc30 eclipse-gef-3.11.0-9.fc30 eclipse-jgit-5.3.0-2.fc30 eclipse-launchbar-2.2.3-1.fc30 eclipse-license-2.0.1-7.fc30 eclipse-linuxtools-7.2.0-2.fc30 eclipse-mpc-1.7.5-1.fc30 eclipse-pydev-7.1.0-2.fc30 swt-chart-0.10.0-7.fc30 tycho-1.3.0-4.fc30 tycho-extras-1.3.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e076afa6a2

Comment 5 Fedora Update System 2019-03-14 20:59:17 UTC
eclipse-4.11-2.fc30, eclipse-abrt-0.0.3-9.fc30, eclipse-dltk-5.11.0-1.fc30, eclipse-dtp-1.14.102-4.fc30, eclipse-egit-5.3.0-1.fc30, eclipse-egit-github-5.3.0-1.fc30, eclipse-epp-logging-2.0.7-7.fc30, eclipse-gef-3.11.0-9.fc30, eclipse-jgit-5.3.0-2.fc30, eclipse-launchbar-2.2.3-1.fc30, eclipse-license-2.0.1-7.fc30, eclipse-linuxtools-7.2.0-2.fc30, eclipse-mpc-1.7.5-1.fc30, eclipse-pydev-7.1.0-2.fc30, eclipse-remote-3.0.1-2.fc30, swt-chart-0.10.0-7.fc30, tycho-1.3.0-4.fc30, tycho-extras-1.3.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e076afa6a2

Comment 6 Fedora Update System 2019-03-14 22:55:14 UTC
eclipse-4.11-2.fc30 eclipse-abrt-0.0.3-9.fc30 eclipse-dltk-5.11.0-1.fc30 eclipse-dtp-1.14.102-4.fc30 eclipse-egit-5.3.0-1.fc30 eclipse-egit-github-5.3.0-1.fc30 eclipse-epp-logging-2.0.7-7.fc30 eclipse-gef-3.11.0-9.fc30 eclipse-jgit-5.3.0-2.fc30 eclipse-launchbar-2.2.3-1.fc30 eclipse-license-2.0.1-7.fc30 eclipse-linuxtools-7.2.0-2.fc30 eclipse-mpc-1.7.5-1.fc30 eclipse-photran-9.2.1-3.fc30 eclipse-ptp-9.2.1-3.fc30 eclipse-pydev-7.1.0-2.fc30 eclipse-remote-3.0.1-2.fc30 eclipse-tm-terminal-4.5.100-1.fc30 swt-chart-0.10.0-7.fc30 tycho-1.3.0-4.fc30 tycho-extras-1.3.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e076afa6a2

Comment 7 Fedora Update System 2019-03-16 20:17:40 UTC
apache-sshd-2.0.0-4.fc30, eclipse-4.11-2.fc30, eclipse-abrt-0.0.3-9.fc30, eclipse-dltk-5.11.0-1.fc30, eclipse-dtp-1.14.102-4.fc30, eclipse-egit-5.3.0-2.fc30, eclipse-egit-github-5.3.0-1.fc30, eclipse-epp-logging-2.0.7-8.fc30, eclipse-gef-3.11.0-9.fc30, eclipse-jgit-5.3.0-4.fc30, eclipse-launchbar-2.2.3-1.fc30, eclipse-license-2.0.1-7.fc30, eclipse-linuxtools-7.2.0-4.fc30, eclipse-m2e-core-1.11.0-1.fc30, eclipse-m2e-wtp-1.4.1-3.fc30, eclipse-mpc-1.7.5-2.fc30, eclipse-photran-9.2.1-3.fc30, eclipse-ptp-9.2.1-3.fc30, eclipse-pydev-7.1.0-2.fc30, eclipse-remote-3.0.1-2.fc30, eclipse-subclipse-4.3.0-0.3.git43b895a.fc30, eclipse-swtbot-2.8.0-3.fc30, eclipse-testng-6.14.3-2.fc30, eclipse-tm-terminal-4.5.100-1.fc30, eclipse-usage-4.11.0-1.fc30, eclipse-webtools-3.13.0-1.fc30, swt-chart-0.10.0-7.fc30, tycho-1.3.0-4.fc30, tycho-extras-1.3.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e076afa6a2

Comment 8 Fedora Update System 2019-03-29 19:14:59 UTC
apache-sshd-2.0.0-4.fc30, eclipse-4.11-2.fc30, eclipse-abrt-0.0.3-9.fc30, eclipse-dltk-5.11.0-1.fc30, eclipse-dtp-1.14.102-4.fc30, eclipse-egit-5.3.0-2.fc30, eclipse-egit-github-5.3.0-1.fc30, eclipse-epp-logging-2.0.7-8.fc30, eclipse-gef-3.11.0-9.fc30, eclipse-jgit-5.3.0-4.fc30, eclipse-launchbar-2.2.3-1.fc30, eclipse-license-2.0.1-7.fc30, eclipse-linuxtools-7.2.0-4.fc30, eclipse-m2e-core-1.11.0-1.fc30, eclipse-m2e-wtp-1.4.1-3.fc30, eclipse-mpc-1.7.5-2.fc30, eclipse-photran-9.2.1-3.fc30, eclipse-ptp-9.2.1-3.fc30, eclipse-pydev-7.1.0-2.fc30, eclipse-remote-3.0.1-2.fc30, eclipse-subclipse-4.3.0-0.3.git43b895a.fc30, eclipse-swtbot-2.8.0-3.fc30, eclipse-testng-6.14.3-2.fc30, eclipse-tm-terminal-4.5.100-1.fc30, eclipse-usage-4.11.0-1.fc30, eclipse-webtools-3.13.0-1.fc30, swt-chart-0.10.0-7.fc30, tycho-1.3.0-4.fc30, tycho-extras-1.3.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.